Bug 18620 - t/db_dependent/Letters.t failing on master
Summary: t/db_dependent/Letters.t failing on master
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Nick Clemens
QA Contact: Tomás Cohen Arazi
URL:
Keywords:
Depends on: 17971
Blocks: 18478
  Show dependency treegraph
 
Reported: 2017-05-17 15:34 UTC by Nick Clemens
Modified: 2018-06-04 20:10 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 18620 - t/db_dependent/Letters.t failing on master (7.75 KB, patch)
2017-05-17 15:38 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 18620 - t/db_dependent/Letters.t failing on master (8.38 KB, patch)
2017-05-17 16:20 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 18620 - t/db_dependent/Letters.t failing on master (8.51 KB, patch)
2017-05-18 07:06 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 18620 - t/db_dependent/Letters.t failing on master (8.57 KB, patch)
2017-05-22 17:41 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 18620 - t/db_dependent/Letters.t failing on master (8.66 KB, patch)
2017-05-26 09:32 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2017-05-17 15:34:07 UTC
These two fail only if SMS::Senddriver is set to email, changes will be made on bug 18478 to fix that, but prep work will be done here:

#   Failed test 'message marked failed if tried to send SMS message for borrower with no smsalertnumber set (bug 11208)'

#   Failed test 'The message should have been resent'


These fail because no substitiution params are sent

#   Failed test 'GetPreparedLetter should return the default one if the lang parameter is not provided'

#   Failed test 'GetPreparedLetter should return the required notice if it exists'

#   Failed test 'GetPreparedLetter should return the default notice if the one required does not exist'

Additionally

'GetPreparedLetter returns the content correctly' 

can fail on slow server because timestamp of record creation and time of test are assumed to match
Comment 1 Nick Clemens 2017-05-17 15:38:16 UTC
Created attachment 63502 [details] [review]
Bug 18620 - t/db_dependent/Letters.t failing on master

To test:
1 - Set SMSSenDriver to 'Email'
2 - prove t/db_dependent/Letters.t
3 - Tests fail
4 - Apply patch
5 - prove t/db_dependent/Letters.t
6 - Less tests fail (should be 2 sms test failures)
7 - Set SMSSendDriver to another value or blank
8 - prove t/db_dependent/Letters.t
9 - Tests pass
Comment 2 Nick Clemens 2017-05-17 16:20:45 UTC
Created attachment 63503 [details] [review]
Bug 18620 - t/db_dependent/Letters.t failing on master

To test:
1 - Set SMSSenDriver to 'Email'
2 - prove t/db_dependent/Letters.t
3 - Tests fail
4 - Apply patch
5 - prove t/db_dependent/Letters.t
6 - Less tests fail (should be 2 sms test failures)
7 - Set SMSSendDriver to another value or blank
8 - prove t/db_dependent/Letters.t
9 - Tests pass
Comment 3 Marc Véron 2017-05-18 07:06:26 UTC
Created attachment 63507 [details] [review]
Bug 18620 - t/db_dependent/Letters.t failing on master

To test:
1 - Set SMSSenDriver to 'Email'
2 - prove t/db_dependent/Letters.t
3 - Tests fail
4 - Apply patch
5 - prove t/db_dependent/Letters.t
6 - Less tests fail (should be 2 sms test failures)
7 - Set SMSSendDriver to another value or blank
8 - prove t/db_dependent/Letters.t
9 - Tests pass

Signed-off-by: Marc Véron <veron@veron.ch>
Comment 4 Jonathan Druart 2017-05-18 14:53:09 UTC
Nick, you are not fixing the issue here :)
Comment 5 Jonathan Druart 2017-05-18 14:55:06 UTC
(In reply to Jonathan Druart from comment #4)
> Nick, you are not fixing the issue here :)

Ok, forget that!
Comment 6 Jonathan Druart 2017-05-18 15:08:11 UTC
Waiting for bug 18478, to QA them altogether.
Comment 7 Tomás Cohen Arazi 2017-05-22 17:41:32 UTC
Created attachment 63628 [details] [review]
Bug 18620 - t/db_dependent/Letters.t failing on master

To test:
1 - Set SMSSenDriver to 'Email'
2 - prove t/db_dependent/Letters.t
3 - Tests fail
4 - Apply patch
5 - prove t/db_dependent/Letters.t
6 - Less tests fail (should be 2 sms test failures)
7 - Set SMSSendDriver to another value or blank
8 - prove t/db_dependent/Letters.t
9 - Tests pass

Signed-off-by: Marc Véron <veron@veron.ch>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 8 Tomás Cohen Arazi 2017-05-22 17:46:29 UTC
Adding my signoff here, I would wait for 18478 too, reverting to SO
Comment 9 Marcel de Rooy 2017-05-26 09:32:53 UTC
Created attachment 63733 [details] [review]
Bug 18620 - t/db_dependent/Letters.t failing on master

To test:
1 - Set SMSSenDriver to 'Email'
2 - prove t/db_dependent/Letters.t
3 - Tests fail
4 - Apply patch
5 - prove t/db_dependent/Letters.t
6 - Less tests fail (should be 2 sms test failures)
7 - Set SMSSendDriver to another value or blank
8 - prove t/db_dependent/Letters.t
9 - Tests pass

Signed-off-by: Marc Véron <veron@veron.ch>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 10 Kyle M Hall 2017-05-29 02:16:38 UTC
Pushed to master for 17.05, thanks Nick!
Comment 11 Katrin Fischer 2017-06-05 12:34:12 UTC
Depends on bug 17971 which is not part of 16.11.x